#
# spec file for package mozaddon-firebug
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mozaddon-firebug
Version:        2.0.4
Release:        4.5
Summary:        Firebug extension for Firefox
License:        BSD-3-Clause
Group:          Productivity/Networking/Web/Browsers
Url:            https://addons.mozilla.org/firefox/addon/firebug/

Source:         https://addons.mozilla.org/firefox/downloads/file/274666/firebug-2.0.4-fx.xpi
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  mozaddon-devel
BuildArch:      noarch

%description
Firebug integrates with Firefox to put a wealth of development tools
at your fingertips while you browse. You can edit, debug, and monitor
CSS, HTML, and JavaScript live in any web page.

Visit the Firebug website for documentation, screen shots, and
discussion forums: http://getfirebug.com

%prep

%build

%install
%mozilla_addon_install %{S:0}
%mozilla_unlock_addons
%fdupes "%buildroot%mozilla_moduledir"

%files
%defattr(-,root,root)
%mozilla_moduledir

%changelog
* Fri Oct 17 2014 jengelh@inai.de
- Update to new upstream release 2.0.4 [bso#901727]
  * New features: syntax highlighting, pretty print, DOM events
  inspector, HTML panel search, code auto completion, JavaScript
  expressions inspector, console log grouping, JavaScript function
  return value inspection, display of original CSS color values,
  quick creation of new HTML attributes, registered mutation
  observer insepction.
- Support for Firefox 30–35
- Remove hard Requires: MozillaFirefox, since it also works
  with seamonkey
* Sat Jun 22 2013 jengelh@inai.de
- Update to new upstream release 1.11.4 (bugfix release)
  * XHR Spy works again for Firefox 17 and CSS pseudo-element rules
  are now properly displayed in the Style panel.
* Mon Apr  1 2013 jengelh@inai.de
- Initial package (version 1.11.2) for build.opensuse.org
